@echo off
echo execute all test cases of the accessibility test suite
set TIDY=C:\MDOS\tidycvs6.exe
@REM set TIDY=tidycvs6\build\msvc\Debug\tidy.exe
set TIDYINPUT=tidycvs6\test\accessTest
@REM set TIDYINPUT=C:\Gtools\perl\tmp5
set TIDYOUT=tmp3
IF NOT EXIST %TIDY% goto ERR1
IF NOT EXIST %TIDYINPUT%\nul goto ERR2
IF NOT EXIST %TIDYout%\nul goto ERR3

echo Running ACCESS TEST suite > ACCERR.TXT
echo Input folder is %TIDYINPUT% >> ACCERR.TXT
echo Output folder is %TIDYOUT% >> ACCERR.TXT
echo EXE used is %TIDY% >> ACCERR.TXT
set FAILEDACC=
for /F "tokens=1,2,3*" %%i in (newaccesscases.txt) do call onetesta.cmd %%i %%j %%k %%l
echo FAILED [%FAILEDACC%] ...
goto END

:ERR1
@echo	ERROR: Can NOT locate [%TIDY%] file ... fix command and try again ...
@goto END

:ERR2
@echo	ERROR: Can NOT locate [%TIDYINPUT%] folder ... fix command and try again ...
@goto END

:ERR3
@echo	ERROR: Can NOT locate [%TIDYOUT%] OUTPUT folder ... fix command and try again ...
@goto END

:END
